/////////////////////////////////////////////////////////////
//                                                         //
//     SPORT1 and SPORT3 Interrupt Service Routines        //
//                                                         //
/////////////////////////////////////////////////////////////

#include <def21262.h>
#include <Cdef21262.h>
#define Left_channel 0
#define Right_channel 1

.extern  rx0a_buf, tx1a_buf, tx1b_buf, tx2a_buf, tx2b_buf;
.extern delay_audio;

.global Left_channelIn, Right_channelIn,Left_channelOut, Right_channelOut;


.section/dm seg_dmda;
.var Left_channelIn, Right_channelIn,Left_channelOut, Right_channelOut;
.var count1;
.section /pm seg_pmco;
.global _talkThroughISR;

_talkThroughISR:

r0 = dm(rx0a_buf + Left_channel);   dm(Left_channelIn) = r0;
r1 = dm(rx0a_buf + Right_channel);  dm(Right_channelIn) = r1;



do_delay_processing:
call (pc, delay_audio); 




r0=dm(Left_channelOut);   
r1=dm(Right_channelOut); 



dm(tx1a_buf + Left_channel) = r0; // DAC1 Left channel
dm(tx1a_buf + Right_channel) = r1; // DAC1 Right channel

dm(tx1b_buf + Left_channel) = r0; // DAC2 Left channel
dm(tx1b_buf + Right_channel) = r1; // DAC2 Right channel

dm(tx2a_buf + Left_channel) = r0;  // DAC3 Left channel
dm(tx2a_buf + Right_channel) = r1; // DAC3 Right channel

dm(tx2b_buf + Left_channel) = r0;  // DAC4 Left channel
dm(tx2b_buf + Right_channel) = r1; // DAC4 Right channel
r0 = dm(count1);
   	r0 = r0 +1;
   	
   	dm(count1) =  r0;

rti;

_talkThroughISR.end:

//--------------------------------------------

