#include "tt1.h"

void TransDMA(int  *Tinptr,  int Tcount, int *Textptr)
{
	     *pPPCTL = 0;

        /* initiate parallel port DMA registers for first DMA*/
        *pIIPP = Tinptr;
        *pIMPP = 2;
        *pICPP = Tcount;

        *pEMPP = -1;
        *pEIPP = Textptr;
       /* For 8-bit external memory, the External count is
          four times the internal count */
        *pECPP = Tcount * 4;

        *pPPCTL =  PPTRAN|    /* transmit (write) */
                   PPBHC|     /* implement a bus hold cycle*/
                   PPDUR4;   /* make pp data cycles last for a */
                                   /* duration of 4 cclk cycles */

        *pPPCTL |= PPDEN|PPEN; // enalble parallel port DMA

        /*poll to ensure parallel port has completed the transfer*/
        do{
          ;}
        while( (*pPPCTL & (PPBS|PPDS) ) != 0);
        
        *pPPCTL = 0; // disable parallel port
        // start of second DMA
}
